Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -1,2 +1,9 @@
+2001-05-23	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/bsp.h: Include bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, coverhd.h, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+
 2001-05-11	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/jmr3904/configure.in
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/configure.in	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/jmr3904/configure.in	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -22,4 +22,5 @@
 RTEMS_CONFIG_BUILD_SUBDIRS(tools)
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/mips/jmr3904/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/include/.cvsignore	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/jmr3904/include/.cvsignore	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -1,2 +1,7 @@
 Makefile
 Makefile.in
+coverhd.h
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/mips/jmr3904/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/include/Makefile.am	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/jmr3904/include/Makefile.am	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -5,21 +5,20 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h ../../../shared/include/coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: ../../../shared/include/coverhd.h
-	$(INSTALL_DATA) $< $@
+coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
+	cp $< $@
+CLEANFILES += coverhd.h
 
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/mips/jmr3904/include/bsp.h
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/include/bsp.h	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/jmr3904/include/bsp.h	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -20,4 +20,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/mips/p4000/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/p4000/ChangeLog	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/p4000/ChangeLog	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -1,2 +1,9 @@
+2001-05-23	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/bsp.h: Include bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/p4000/configure.in
===================================================================
--- c/src/lib/libbsp/mips/p4000/configure.in	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/p4000/configure.in	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/mips/p4000/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/mips/p4000/include/.cvsignore	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/p4000/include/.cvsignore	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/mips/p4000/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/p4000/include/Makefile.am	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/p4000/include/Makefile.am	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -5,5 +5,5 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
@@ -13,9 +13,7 @@
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h)
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/mips/p4000/include/bsp.h
===================================================================
--- c/src/lib/libbsp/mips/p4000/include/bsp.h	(revision fddaaf128de39afacc2ddc106527a334abc51194)
+++ c/src/lib/libbsp/mips/p4000/include/bsp.h	(revision ffb4ccf7919ffa314cb285c72cbc1e7ea08b36fe)
@@ -22,4 +22,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
